Subject: Re: [regext] WG LAST CALL: draft-ietf-regext-rfc7482bis

From: "Gould, James" <[email-masked]>
Date: Thu, 24 Sep 2020 16:57:42 +0000

The RDAP Profile is dependent on the RFC, so I wouldn't create a circular dependency.  My recommendation is to take the lessons learned in implementing the RFC and provide guidance on how to handle it in the RFC directly.  

-- 
 
JG

James Gould
Fellow Engineer
[email-masked] <applewebdata://13890C55-AAE8-4BF3-A6CE-B4BA42740803/[email-masked]>

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com <http://verisigninc.com/>

On 9/24/20, 12:36 PM, "Jasdip Singh" <[email-masked]> wrote:

    Hello Scott, James.
    
    One thought is if it could be in the RDAP profile doc for the DNRs (https://secure-web.cisco.com/1rpKdfnEnk1Kr48jubRhCwGFht_mdOahH1FgtC67Iah_PrHMRfoEWU7HXESyJMsZ1OIrHjKe_tH2TpZoS255ApsvovkAtXUNwdbGgZJvfSeVCCqQLWq9VITVXtaoP1CXev-IOKJzpfYJuv2IdKIbkjHbWdjq01FUNgLIDCk7SmcLSunTUIorviDc_vhPujx8fojQQ7yt8yaTmqpI7NSwr0xLY-umkpcXmEOIqjCmmh5tYAW-z9AdTAX4NVP2ncoTILCIvB-TlRg1bVusnHZKw-w/https%3A%2F%2Fwww.icann.org%2Fresources%2Fpages%2Frdap-operational-profile-2016-07-26-en). That way no need to update the spec.
    
    Jasdip
    
    On 9/24/20, 12:31 PM, "regext on behalf of Hollenbeck, Scott" <[email-masked] on behalf of shollenbeck=[email-masked]> wrote:
    
        > -----Original Message-----
        > From: Gould, James <jgould=[email-masked]>
        > Sent: Monday, September 21, 2020 2:27 PM
        > To: Hollenbeck, Scott <[email-masked]>; [email-masked];
        > [email-masked]
        > Subject: [EXTERNAL] Re: [regext] WG LAST CALL: draft-ietf-regext-rfc7482bis
        >
        > Scott,
        >
        > Yes, lumping the registrar object with the contact object under a single RDAP
        > entity object interface is the rub.  We solved the problem in the RDAP
        > Profile, by supporting entity lookup by IANA ID (number) and registrar name
        > (string) for the registrar objects, and by ROID (“((\w|_){1,80}-\w{1,8}") for
        > the contact objects.  Where there is overlap, which is registrar name (string)
        > and ROID ((“((\w|_){1,80}-\w{1,8}") the contact takes precedence.  My
        > recommendation is to provide guidance in the section 3.1.5 "Entity Path
        > Segment Specification" for this real world case:
        >
        > The <handle> parameter represents an entity (such as a contact, registrant,
        > or registrar) identifier whose syntax is specific to the registration provider.
        > For example, for some DNRs, contact identifiers are specified in [RFC5730]
        > and [RFC5733], and registrar identifiers are specified using the IANA Registrar
        > ID assigned by ICANN.  The server SHOULD define a scheme for the <handle>
        > parameter to differentiate between the supported entity object types (e.g.,
        > contact and registrar), such as using different <handle> formats, using a
        > <handle> precedence order, or a combination of formats and precedence
        > order.
        >
        > The SHOULD could be a MUST, but the point is to provide guidance to
        > implementers of the protocol.
        
        I'd like to see some discussion of this suggestion, too. What do people think? Is it necessary?
        
        Scott
        _______________________________________________
        regext mailing list
        [email-masked]
        https://secure-web.cisco.com/1uhNzuchIJztHae6LWfJ1n71r6h9keZVyeLYMKk6XBzqFZnzlPYXz-bTVm89lsK1lzwy0KyQfVMQ8yJyvj9OdK0HdlDXnwqlJyCWvYxKMcoWJ5UX1QpTKu1Of5rVVaQ3gqoUUX9fZbQ2dKWdiqxIcPeMU9MUI9It8e8-1ekP-xHK6Ng4p0MArEn2aMHH9Clo6k9uay0NVzUFQnTS0IU2wEzDaxqi5PNRTrhSdGWfQpVOjXyxbDih5ZMQvLhBtws3QbhtzNJ4K1o0VstyjQ_K_yICHdzzOR5kl_eewjxddliM/https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fregext